Android Studio 2.2. Anteprima 1 errore: "Utilizza JDK 8 o successivo"

Nel tentativo di eseguire Android Studio 2.2 Preview 1, fornisce il seguente errore sulla build di gradle:

Errore: utilizza JDK 8 o versione successiva.

  • chiudere le impostazioni predefinite
  • Imposta il carattere per tutti i textViews in attività?
  • Mediacodec gelatina
  • AndroidManifest.xml per strumentoTest di Gradle
  • Utilizzo di Android Studio con Vuforia
  • Come eseguire il debug di javascript in webview in android
  • Se provo a farlo dalla console dice:

    FAILURE: La creazione non è rioutput con un'exception.

    • Dove: Crea file 'C: \ Coding \ Progetti Android \ MaterialScrollBar \ app \ build.gradle' linea: 1

    • Ciò che è andato storto: si è verificato un problema di valutazione del progetto ': app'. com / android / jack / api / ConfigNotSupportedException: versione non supportta major.minor 52.0

    Ho provato a cambiare il JDK come suggerisce da jdk 1.7 a 1.8, ma each volta che cambio la posizione JDK per il progetto a qualsiasi altro path rispetto a quello attualmente lo riport immediatamente. Anche se lo cambio ad altre versioni di 1,7 non cambia.

    Ho verificato che le variables ambientali puntano a 1,8 e non hanno ancora nessun dado. AS 2.1 riconosce il JDK come 1.8 per lo stesso progetto.

  • Invia Int in HashMap con Volley
  • Impostare le chiavi del fornitore adb
  • Dove posso get un elenco delle autorizzazioni Android?
  • NativeScript: Disabilita tutti i controlli mentre è visualizzato ActivityIndicator
  • Mostra il dropdown in modo programmato in ActionBar / ActionBarSherlock
  • Come affrontare l'avvio a freddo di un'applicazione in cui l'utente ha registrato con Firebase in precedenza
  • 4 Solutions collect form web for “Android Studio 2.2. Anteprima 1 errore: "Utilizza JDK 8 o successivo"”

    Mi sono imbattuto in questo problema con una versione precedente di Android Studio. Quando ho installato Android Studio, sono riuscito a fare riferimento a JDK 7 nella mia directory di file di programma.

    Quando ho aggiornato Android Studio e ho provato ad aggiornarlo per indicare JDK 8, che era anche nella mia directory di file di programma, ho lo stesso comportmento che stai vedendo. Il nuovo path non ha mai preso e ha ancora usato JDK 7.

    Scopri che Android Studio non ama gli spazi nei routes per Android SDK e JDK. L'installazione di JDK in una posizione che non contiene spazi consente di aggiornare la posizione tramite la window Struttura di progetto.

    Se utilizzi Android Studio 2.2 Preview 2 e hai lo stesso errore, fai clic su "Utilizza embedded JDK" nella posizione SDK. Utilizza JDK incorporato

    Assicurarsi di impostarla nella struttura del progetto

    Utilizza File -> Struttura progetto per impostare SDK e JDK. Penso che stai modificando un file generato.

    Provate anche ad aggiungere questo nel tuo file gradle:

     compileOptions { sourceCompatibility JavaVersion.VERSION_1_7 targetCompatibility JavaVersion.VERSION_1_7 } 

    Sì, sono fortemente d'accordo con Episodex. ma ancora, il problema si verifica si prega di fare come descritto di seguito, Fare clic sul menu File in alto in alto a sinistra e un menu selezionato di Invalidate cache / Riavvia … immettere qui la descrizione dell'immagine

    L'Android è un fan Android di Google, tutto su telefoni Android, Android Wear, Android Dev e applicazioni Android Games e così via.